require "platforms"
require "player"
require "camera"
function love.load()
color = {r = 255, g = 255, b = 255}
	love.graphics.setColor(255,255,255)
	love.graphics.setDefaultFilter("nearest","nearest")
	gamestate = "playing" 
	prettylarge = love.graphics.newFont(30)
	verylarge = love.graphics.newFont(100)
	small = love.graphics.newFont(13)
end
function love.keyreleased(key)
	player.animreset(key)
end
function love.update(dt)
	if love.keyboard.isDown("q") or player.lives < 1 then
		gamestate = "quit"
	end
	if gamestate == "playing" then
		color.r = 255; color.g = 255; color.b = 255
		UPDATE_PLAYER(dt)
		if player.x > screenwidth / 2 then
			camera.x = player.x - screenwidth /2
		end
	elseif gamestate == "quit" then
		love.event.quit()
	end
end
function love.draw()
	if player.lives == 3 then
		love.graphics.setColor(0,color.g,0)
	elseif player.lives == 2 then
		love.graphics.setColor(color.r,color.g,0)
	elseif player.lives == 1 then
		love.graphics.setColor(color.r,0,0)
	end
	love.graphics.setFont(prettylarge)
	love.graphics.print(player.lives,screenwidth-30,1)
	love.graphics.setFont(small)
	love.graphics.setColor(color.r,color.g,color.b)
	love.graphics.print("player.y:"..player.y,1,1)
	love.graphics.print("player.yvel:"..player.yvel,1,15)
	if placeholder then
		love.graphics.print("placeholder = true",1,30)
	end
	if firstifstatement then
		love.graphics.print("firstifstatement = true",1,90)
	end
	if secondifstatement then
		love.graphics.print("secondifstatement = true",1,105)
	end
	if thirdifstatement then
		love.graphics.print("thirdifstatement = true",1,120)
	end
	if fourthifstatement then
		love.graphics.print("fourthifstatement = true",1,135)
	end
	love.graphics.print("player.nowx:"..player.x,1,60)
	love.graphics.print("player.oldx:"..player.oldx,1,75)
	camera:set()
	DRAW_PLATFORMS()
	DRAW_PLAYER()
	camera:unset()
end